from flask import Flask
import os
import socket

app = Flask(__name__)

@app.route("/")
def hello():
    html = "<h3>Your environment variable NAME is set to: {name}!</h3>" \
           "<b>Hostname:</b> {hostname}<br/>"
    return html.format(name=os.getenv("NAME", "world"), hostname=os.getenv("HOSTNAME","notsure"))

if __name__ == "__main__":
    app.run(host='0.0.0.0', port=80)
